public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrey Grozin" <grozin@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/bpython/
Date: Fri,  9 Feb 2018 12:32:06 +0000 (UTC)	[thread overview]
Message-ID: <1518179496.3ffed0fe7306fe52f1c1b9ef9ddfcc0f23b90e17.grozin@gentoo> (raw)

commit:     3ffed0fe7306fe52f1c1b9ef9ddfcc0f23b90e17
Author:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Fri Feb  9 12:31:36 2018 +0000
Commit:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Fri Feb  9 12:31:36 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3ffed0fe

dev-python/bpython: bump to 0.17

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-python/bpython/Manifest            |  1 +
 dev-python/bpython/bpython-0.17.ebuild | 55 ++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-python/bpython/Manifest b/dev-python/bpython/Manifest
index 117fa888d57..e6e6a98e616 100644
--- a/dev-python/bpython/Manifest
+++ b/dev-python/bpython/Manifest
@@ -1 +1,2 @@
 DIST bpython-0.16.tar.gz 201898 BLAKE2B 907f6a506d2b52db01e7b84c615574a7daad36f630646a345c963e432cc394330339390b6afc2585845b19d6c00d9c0b95e06b9d3b0fe85fe20daad3f5cf208a SHA512 1173d720aa679e4a6079c7febd36abbffa901604c99c6d1ce1e940a8fbcf8a4ba7bc526de0ef5290e3859a4384d1cd5cbef62fd9f056ddcb545b64d69d103a5b
+DIST bpython-0.17.tar.gz 214230 BLAKE2B dc26de037eb5698c04afb74472fe9483e1398f4f40b7da21520f2e7e2ba6e510bcbf200938d520d95b976a6fbeb31af7b1b1f828a022835edbe40d381c82797d SHA512 17c25f4ed69eb7cff27ba0a488434623a7105c60bbf1e6f608c91babf240741ab7a7097ad347f897cd5f39f2fedb944fd69d8dbfbc66da6b910e1a14ace6fd1f

diff --git a/dev-python/bpython/bpython-0.17.ebuild b/dev-python/bpython/bpython-0.17.ebuild
new file mode 100644
index 00000000000..6905eb54495
--- /dev/null
+++ b/dev-python/bpython/bpython-0.17.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Syntax highlighting and autocompletion for the Python interpreter"
+HOMEPAGE="http://www.bpython-interpreter.org/ https://github.com/bpython/bpython https://pypi.python.org/pypi/bpython"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND="
+	>=dev-python/curtsies-0.2.11[${PYTHON_USEDEP}]
+	dev-python/greenlet[${PYTHON_USEDEP}]
+	dev-python/jedi[${PYTHON_USEDEP}]
+	dev-python/pygments[${PYTHON_USEDEP}]
+	dev-python/requests[${PYTHON_USEDEP}]
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	>=dev-python/six-1.5[${PYTHON_USEDEP}]
+	dev-python/urwid[${PYTHON_USEDEP}]
+	dev-python/watchdog[${PYTHON_USEDEP}]
+	"
+DEPEND="${RDEPEND}
+	doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+	test? ( dev-python/mock[${PYTHON_USEDEP}] )"
+
+DOCS=( AUTHORS CHANGELOG sample.theme light.theme )
+
+# Req'd for clean build by each impl
+DISTUTILS_IN_SOURCE_BUILD=1
+
+python_compile_all() {
+	if use doc; then
+		sphinx-build -b html -c doc/sphinx/source/ \
+			doc/sphinx/source/ doc/sphinx/source/html || die "docs build failed"
+	fi
+}
+
+python_test() {
+	pushd build/lib > /dev/null
+	"${PYTHON}" -m unittest discover || die
+	popd > /dev/null
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( doc/sphinx/source/html/. )
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2018-02-09 12:32 UTC|newest]

Thread overview: 55+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-02-09 12:32 Andrey Grozin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-03  2:25 [gentoo-commits] repo/gentoo:master commit in: dev-python/bpython/ Sam James
2023-12-09 13:18 Sam James
2023-12-08 17:12 Sam James
2023-11-24 16:45 Arthur Zamarin
2023-11-23 20:33 Michał Górny
2023-02-21  8:00 Michał Górny
2023-02-21  8:00 Michał Górny
2023-02-20 23:28 Sam James
2023-01-18 14:59 Andrey Grozin
2022-11-25 20:33 Arthur Zamarin
2022-11-25 19:11 Sam James
2022-10-26  6:15 Andrey Grozin
2022-10-03  9:49 Michał Górny
2022-10-03  8:32 Agostino Sarubbo
2022-09-02 17:37 Michał Górny
2022-03-30 11:25 Jakov Smolić
2021-12-10 12:01 Jakov Smolić
2021-11-09  4:14 Andrey Grozin
2021-11-09  4:13 Andrey Grozin
2021-11-08  8:11 Andrey Grozin
2021-03-02  8:48 Michał Górny
2021-03-02  3:49 Sam James
2021-01-26  8:47 Andrey Grozin
2021-01-25 20:43 Michał Górny
2021-01-07  9:19 Michał Górny
2021-01-07  9:19 Michał Górny
2020-12-01  8:59 Andrey Grozin
2020-11-15 11:00 Michał Górny
2020-11-15 10:42 Sam James
2020-11-14 21:23 Michał Górny
2020-10-15 16:08 Andrey Grozin
2020-06-03 17:27 Michał Górny
2020-05-14 10:28 Michał Górny
2020-05-12  6:39 Agostino Sarubbo
2020-05-04 10:23 Michał Górny
2020-05-03 12:28 Agostino Sarubbo
2020-03-30 12:25 Andrey Grozin
2020-03-26 13:49 Michał Górny
2020-03-07 17:57 Sebastian Pipping
2019-04-04 13:21 Andrey Grozin
2019-04-04 12:30 Andrey Grozin
2018-07-09 18:52 Mikle Kolyada
2018-06-28 19:18 Pacho Ramos
2018-03-13 19:52 Michał Górny
2018-02-13  5:34 Andrey Grozin
2017-02-28 13:21 Andrey Grozin
2017-01-23 15:46 Agostino Sarubbo
2017-01-23 13:51 Agostino Sarubbo
2016-10-12 14:06 Andrey Grozin
2016-09-27 12:50 Andrey Grozin
2016-08-09 12:07 Andrey Grozin
2016-01-17 13:47 Andrey Grozin
2015-10-08  5:46 Ian Delaney
2015-09-10  7:59 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1518179496.3ffed0fe7306fe52f1c1b9ef9ddfcc0f23b90e17.grozin@gentoo \
    --to=grozin@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox